
## 数据结构

- logFile

| 偏移   | 字段名          | 长度 |
|--------|-----------------|------|
| 0      | magic           | 4    |
| 4      | 索引0           | 4    |
| 8      | 索引1           | 4    |
| ...    | ...             | ...  |
| 262144 | 索引65535       | 4    |
| 262148 | minTime         | 8    |
| 262156 | maxTime         | 8    |
| 262164 | bodyLength      | 4    |
| 262168 | headerExtLength | 4    |

- logItem

| 偏移     | 字段名             | 长度  |
|--------|-----------------|-----|
| 0      | magic           | 4   |
| 4      | type            | 2   |
| 6      | length          | 2   |
| 8      | stamp           | 8   |
| 16     | rawPacket       |     |

- walItem

| 偏移  | 字段名          | 长度  |
|-----|--------------|-----|
| 0   | magic        | 4   |
| 4   | probeId      | 2   |
| 6   | reserved     | 1   |
| 7   | port         | 2   |
| 8   | dataStrategy | 1   |
| 9   | clockSync    | 1   |
| 10  | length       | 2   |
| 12  | stamp        | 8   |
| 20  | rawPacket    |     |