package db.entity;

import db.util.ConvertUtils;
import lombok.Data;

@Data
public class ClientInfo {
    private byte confirm;
    private long mac;
    private int ip;

    @Override
    public String toString() {
        return "ClientInfo{" +
                "confirm=" + Integer.toHexString(confirm) +
                ", mac=" + ConvertUtils.longMac2String(mac) +
                ", ip=" + ConvertUtils.ip2String(ip) +
                '}';
    }
}
