package db.entity;

import db.util.ConvertUtils;
import lombok.Data;

@Data
public class Strategy {
    private byte operationType;
    private long mac1;
    private long mac2;
    private int ip1Mask;
    private int ip2Mask;
    private short port1Mask;
    private short port2Mask;

    @Override
    public String toString() {
        return "Strategy{" +
                "operationType=" + Integer.toHexString(operationType) +
                ", mac1=" + ConvertUtils.longMac2String(mac1) +
                ", mac2=" + ConvertUtils.longMac2String(mac2) +
                ", ip1Mask=" + ConvertUtils.ip2String(ip1Mask) +
                ", ip2Mask=" + ConvertUtils.ip2String(ip2Mask) +
                ", port1Mask=" + port1Mask +
                ", port2Mask=" + port2Mask +
                '}';
    }
}
