package db.entity;

import db.util.ConvertUtils;
import lombok.Data;

@Data
public class Table {
    private byte operationType;
    private byte strategyType;
    private byte isListen;
    private long mac1;
    private long mac2;
    private int ip1;
    private int ip2;
    private short port1;
    private short port2;

    @Override
    public String toString() {
        return "Table{" +
                "operationType=" + Integer.toHexString(operationType) +
                ", strategyType=" + Integer.toHexString(strategyType) +
                ", isListen=" + Integer.toHexString(isListen) +
                ", mac1=" + ConvertUtils.longMac2String(mac1) +
                ", mac2=" + ConvertUtils.longMac2String(mac2) +
                ", ip1=" + ConvertUtils.ip2String(ip1) +
                ", ip2=" + ConvertUtils.ip2String(ip2) +
                ", port1=" + port1 +
                ", port2=" + port2 +
                '}';
    }
}
