package db.entity.packages;

import db.Globals;
import io.netty.buffer.ByteBuf;
import io.netty.buffer.Unpooled;
import lombok.Data;
import lombok.ToString;
import lombok.extern.slf4j.Slf4j;

@Data
@Slf4j
@ToString(callSuper = true)
public class LimitReadRequestPackage extends BasePackage {

    public LimitReadRequestPackage() {
        super(Globals.TYPE_REQUEST, Globals.NONE, Globals.OPERATION_READ, Globals.PACKAGE_LIMIT, (short) 0);
    }

    @Override
    public void setPayload(ByteBuf buf) {
    }

    @Override
    public ByteBuf getPayload() {
        ByteBuf buf = Unpooled.buffer(0);
        return buf;
    }

}
