package db.entity.packages;

import db.Globals;
import io.netty.buffer.ByteBuf;
import io.netty.buffer.Unpooled;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.ToString;
import lombok.extern.slf4j.Slf4j;

@Data
@NoArgsConstructor
@Slf4j
@ToString(callSuper = true)
public class ListenResponsePackage extends BasePackage {

//    private byte listenMode;

    public ListenResponsePackage(short responseCode, short operationCode, byte listenMode) {
        super(Globals.TYPE_RESPONSE, responseCode, operationCode, Globals.NONE, (short) 1);
//        this.listenMode = listenMode;
    }

    @Override
    public void setPayload(ByteBuf buf) {
//        listenMode = buf.readByte();
    }

    @Override
    public ByteBuf getPayload() {
        ByteBuf buf = Unpooled.buffer(0);
//        ByteBuf buf = Unpooled.buffer(1);
//        buf.writeByte(listenMode);
        return buf;
    }

//    @Override
//    public String toString() {
//        return "ListenResponsePackage{" +
//                "listenMode=" + Integer.toHexString(listenMode) +
//                "} " + super.toString();
//    }
}
