package db.entity.packages;

import db.Globals;
import io.netty.buffer.ByteBuf;
import io.netty.buffer.Unpooled;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.ToString;
import lombok.extern.slf4j.Slf4j;

@Data
@Slf4j
@NoArgsConstructor
@ToString(callSuper = true)
public class SaveConfigResponsePackage extends BasePackage {

    public SaveConfigResponsePackage(short responseCode) {
        super(Globals.TYPE_RESPONSE, responseCode, Globals.OPERATION_SAVE_CONFIG, Globals.NONE, (short) 0);
    }

    @Override
    public void setPayload(ByteBuf buf) {
    }

    @Override
    public ByteBuf getPayload() {
        ByteBuf buf = Unpooled.buffer(0);
        return buf;
    }
}
