package db.service;

import db.entity.Statistic;
import lombok.Data;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Service;

@Service
@Slf4j
@Data
public class StatisticService {
    @Value("${logging.showStatisticAfterInsertData}")
    private Boolean showStatisticAfterInsertData;

    Statistic statistic = new Statistic();

    public long incrDataCount() {
        return this.statistic.incrDataCount();
    }

    public long increDataCountTsdbSuccess() {
        return this.statistic.increDataCountTsdbSuccess();
    }

    public long increDataCountTsdbSuccess(int count) {
        return this.statistic.increDataCountTsdbSuccess(count);
    }

    public long increDataCountDiskSuccess() {
        return this.statistic.increDataCountDiskSuccess();
    }

    public long increDataCountDiskSuccess(int count) {
        return this.statistic.increDataCountDiskSuccess(count);
    }

    public Statistic getStatistic() {
        return statistic;
    }
}
